"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.evaluateCondition = evaluateCondition;
const json_logic_js_1 = __importDefault(require("json-logic-js"));
function evaluateCondition(condition, context) {
    const transformedContext = {};
    for (const root of ["subject", "resource"]) {
        if (context[root]) {
            for (const [key, value] of Object.entries(context[root])) {
                transformedContext[`${root}.${key}`] = value;
            }
        }
    }
    return json_logic_js_1.default.apply(condition, transformedContext);
}
