"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenPermissionsForSubject = flattenPermissionsForSubject;
function flattenPermissionsForSubject(resolver, subject, resource) {
    const allowed = [];
    const actions = new Set();
    // Collect all unique actions applicable to this resource type
    for (const rule of resolver["rules"]) {
        if (rule.resource === resource.type) {
            actions.add(rule.action);
        }
    }
    for (const action of actions) {
        if (resolver.can(subject, resource, action)) {
            allowed.push(`${resource.type}:${action}`);
        }
    }
    return allowed;
}
